Update to Nextcloud 27 failed due to cadviewer app

Support intro

Sorry to hear you’re facing problems :slightly_frowning_face:

help.nextcloud.com is for home/non-enterprise users. If you’re running a business, paid support can be accessed via portal.nextcloud.com where we can ensure your business keeps running smoothly.

In order to help you as quickly as possible, before clicking Create Topic please provide as much of the below as you can. Feel free to use a pastebin service for logs, otherwise either indent short log examples with four spaces:

example

Or for longer, use three backticks above and below the code snippet:

longer
example
here

Some or all of the below information will be requested if it isn’t supplied; for fastest response please provide as much as you can :heart:

Nextcloud version (eg, 20.0.5): 26.0.3.2
Operating system and version (eg, Ubuntu 20.04): n/a
Apache or nginx version (eg, Apache 2.4.25): n/a
PHP version (eg, 7.4): 8.0

The issue you are facing:
Update Nextcloud from 26.0.3 to 27.0.0 faild while trying to update the “cadviewer” app.
All apps were listed as compatible with version 27 before update was started.

Is this the first time you’ve seen this error? (Y/N): Y

Steps to replicate it:

  1. use version 26.0.3 with cadviewer app version 8.76.1 installed
  2. start web updater
  3. update to version 27.0.0

The output of your Nextcloud log in Admin > Logging:

PASTE HERE

The output of your config.php file in /path/to/nextcloud (make sure you remove any identifiable information!):

PASTE HERE

The output of your Apache/nginx/system log in /var/log/____:

PASTE HERE

PASTE HERE


Output errors in nextcloud.log in /var/www/ or as admin user in top right menu, filtering for errors. Use a pastebin service if necessary.

PASTE HERE

Hi @kiteopia:

You have two choices:

  • Disable that app (cadviewer), do the NC upgrade, then research why cadviewer isn’t working and/or contact them to troubleshoot
  • Wait on the NC upgrade, research why cadviewer isn’t working and/or contact them to troubleshoot, resolve whatever is going on with cadviewer, then do the NC upgrade

It appears cadviewer wasn’t compatible with NC27 until last night. Perhaps there is a bug in the app still or you got the old version?

https://docs.nextcloud.com/server/latest/admin_manual/maintenance/upgrade.html#prerequisites

Hello, we have released CADViewer version v8.77.1 both on GitHub and in the NextCloud store, it is tested against NextCloud version 27, where the application.php Autoload issue was introduced.

Thank you very much for your quick response.

The update process could not be finished and I have no access to the cloud to update the app to veron 8.77.1. Is there any other option the update the app or to get access to the cloud?

After disabling the Maintenance Mode it comes back to the Update screen.

Hello @jtr,

thank you for your quick response.

How can I disable the app? As long the update process faild I have no access to the cloud. Is there any other way to disable the app?

Deactivate Maintenance Mode fist and disabled the app via occ app:disable cadviewer command.

After Nextcloud update process finished update cadviewer app in Apps section before activating the app again. Update to 8.77.1 and activation was successfull.